Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005524 [DCSS] Bug Report crash have not tried 2012-04-02 23:59 2015-02-23 16:36
Reporter Artinuis View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0005524: Lair:8 forest fire crash
Description Used wand of fire on a border tree. By border tree, I mean the a last tree at the edge of the map. Game crashed with an error message. Don't remember the message.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Artinuis-20120402-174613.txt [^] (48,274 bytes) 2012-04-02 23:59 [Show Content]
? file icon Artinuis.cs [^] (878,060 bytes) 2012-04-03 00:00

- Relationships

-  Notes
(0017598)
KiloByte (manager)
2012-04-03 00:13

There's a behaviour_event on the border, (ie, map_bounds() but not in_bounds()). The code there assumes it's a valid position in a number of places, not sure how to solve this best.
(0028553)
wheals (administrator)
2015-02-23 16:36

The code now prevents forest fires from being created if not in_bounds() (bolt::hit_wall doesn't call bolt::affect_wall in that case). Forest fire also doesn't spread to squares that aren't in_bounds(). I can't load the save to be sure it's been fixed, but I'd assume so.

- Issue History
Date Modified Username Field Change
2012-04-02 23:59 Artinuis New Issue
2012-04-02 23:59 Artinuis File Added: crash-Artinuis-20120402-174613.txt
2012-04-03 00:00 Artinuis File Added: Artinuis.cs
2012-04-03 00:13 KiloByte Note Added: 0017598
2015-02-23 16:36 wheals Note Added: 0028553
2015-02-23 16:36 wheals Status new => resolved
2015-02-23 16:36 wheals Fixed in Branch => 0.16 development branch
2015-02-23 16:36 wheals Resolution open => done
2015-02-23 16:36 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker